org.apache.fop.render.ps

## Class Type1FontFormatter

- java.lang.Object
- - org.apache.fop.render.ps.Type1FontFormatter

-     public final class Type1FontFormatter
      extends Object

  This class represents a formatter for a given Type1 font. author Villu Ruusmann
  Version:
    $Revision: 1.0 $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Type1FontFormatter(Map<Integer,Integer> gids)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `format(org.apache.fontbox.cff.CFFFont font, String i)` Read and convert a given CFFFont.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Type1FontFormatter

          public Type1FontFormatter(Map<Integer,Integer> gids)

  - ### Method Detail

    - #### format

          public byte[] format(org.apache.fontbox.cff.CFFFont font,
                               String i)
                        throws IOException

      Read and convert a given CFFFont.
      Parameters:
        `font` - the given CFFFont
        `i` -
      Returns:
        the Type1 font
      Throws:
        `IOException` - if an error occurs during reading the given font

Copyright © 2023 Apache Software Foundation. All rights reserved.